<bugID>419832<Summary>Change Livemark service update timings</Summary><Description>Actually our timing on livemark update is:

browser start -&gt; 5s -&gt; livemark start -&gt; 15s -&gt; check -&gt; 15s -&gt; check -&gt; ...

so we have 2 issues:
- livemarks are updated after 20s, that could be a problem for some user that still see the old livemarks
- we are checking too often (why check every 15s?)

imho we should change to a situation where we do:

browser start -&gt; 5s -&gt; livemark start -&gt; check -&gt; 5m -&gt; check -&gt; 5m -&gt; check -&gt; ...</Description></bugID>